Package com.avaya.clientservices.media

## Enum MaxVideoResolution

- java.lang.Object
- - java.lang.Enum<MaxVideoResolution>
  - - com.avaya.clientservices.media.MaxVideoResolution

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MaxVideoResolution>`

      public enum MaxVideoResolution
      extends java.lang.Enum<MaxVideoResolution>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `MAX_1080P` |
    `MAX_180P` |
    `MAX_240P` |
    `MAX_360P` |
    `MAX_480P` |
    `MAX_720P` |
    `MAX_90P` |
    `MAX_AUTO` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MaxVideoResolution` | `fromInt​(int v)` |
    `int` | `intValue()` |
    `static MaxVideoResolution` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MaxVideoResolution[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAX_AUTO

          public static final MaxVideoResolution MAX_AUTO

    - #### MAX_1080P

          public static final MaxVideoResolution MAX_1080P

    - #### MAX_720P

          public static final MaxVideoResolution MAX_720P

    - #### MAX_480P

          public static final MaxVideoResolution MAX_480P

    - #### MAX_360P

          public static final MaxVideoResolution MAX_360P

    - #### MAX_240P

          public static final MaxVideoResolution MAX_240P

    - #### MAX_180P

          public static final MaxVideoResolution MAX_180P

    - #### MAX_90P

          public static final MaxVideoResolution MAX_90P

  - ### Method Detail

    - #### values

          public static MaxVideoResolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MaxVideoResolution c : MaxVideoResolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MaxVideoResolution valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromInt

          public static MaxVideoResolution fromInt​(int v)

    - #### intValue

          public int intValue()